## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenBaseImpl.GenAnnotationCopier

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<EObject,EObject>
              org.eclipse.emf.ecore.util.EcoreUtil.Copier
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl.GenAnnotationCopier

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<EObject,EObject>

Enclosing class:
  GenBaseImpl

    protected static class GenBaseImpl.GenAnnotationCopier

extends EcoreUtil.Copier

See Also:
  Serialized Form

Field Summary
`protected ResourceSet` `newContext`
`protected EObject` `oldContext`

Fields inherited from class org.eclipse.emf.ecore.util.EcoreUtil.Copier
`resolveProxies, useOriginalReferences`

Constructor Summary
`GenBaseImpl.GenAnnotationCopier(ResourceSet newContext, EObject oldContext)`

Method Summary
`void` `dispose()`
`EObject` `get(java.lang.Object key)`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreUtil.Copier
`copy, copyAll, copyAttribute, copyContainment, copyProxyURI, copyReference, copyReferences, createCopy, getTarget, getTarget`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### newContext

    protected ResourceSet newContext

### oldContext

    protected EObject oldContext

Constructor Detail

### GenBaseImpl.GenAnnotationCopier

    public GenBaseImpl.GenAnnotationCopier(ResourceSet newContext,
                                           EObject oldContext)

Method Detail

### dispose

    public void dispose()

### get

    public EObject get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<EObject,EObject>`
  Overrides:
    `get` in class `java.util.HashMap<EObject,EObject>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.